﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1_workerBinding
{
    /// <summary>
    /// Interaction logic for WorkerBindingWindow.xaml
    /// </summary>
    public partial class WorkerBindingWindow : Window
    {
        public Worker Worker
        {
            get
            {
                return this.DataContext as Worker;
            }
        }

        public WorkerBindingWindow()
        {
            InitializeComponent();
        }
        public WorkerBindingWindow(Worker w) : this()
        {
            this.DataContext = null; // force re-bind!!!
            this.DataContext = w; // Overwrite old empty worker!
        }
        private void CloseClick(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(this.DataContext.ToString());
            DialogResult = true;
        }

    }
}
