﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1_workerBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void AddClick(object sender, RoutedEventArgs e)
        {
            WorkerBindingWindow window = new WorkerBindingWindow(new Worker());
            if (window.ShowDialog() == true)
            {
                listBox.Items.Add(window.Worker);
            }
        }
        private void DelClick(object sender, RoutedEventArgs e)
        {
            if (listBox.SelectedItem == null) return;

            listBox.Items.Remove(listBox.SelectedItem);
        }
        private void ClearClick(object sender, RoutedEventArgs e)
        {
            listBox.Items.Clear();
        }
        private void ModClick(object sender, RoutedEventArgs e)
        {
            if (listBox.SelectedItem == null) return;
            Worker worker = listBox.SelectedItem as Worker;

            WorkerBindingWindow window = new WorkerBindingWindow(worker);
            if (window.ShowDialog() == true)
            {
                int idx = listBox.SelectedIndex;
                listBox.Items[idx] = null;
                listBox.Items[idx] = worker; // No update events from VM ...
                listBox.SelectedItem = worker;
            }
            /*
            else
            {
                MessageBox.Show("BUG: cannot cancel a BINDING!!!");
            }*/
        }
    }
}
